Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class LinearizedProfile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.LinearizedProfile

    public final class LinearizedProfile

extends PdfProfile

PDF profile checker for Linearized documents.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`LinearizedProfile(PdfModule module)` Creates a PdfProfile object for subsequent testing.

Method Summary
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectOK, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearizedProfile

    public LinearizedProfile(PdfModule module)

  Creates a PdfProfile object for subsequent testing.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD